Get Product Stock
curl --request GET \
--url https://api.zenflow.com.ar/api/v1/stock/product/{productId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.zenflow.com.ar/api/v1/stock/product/{productId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.zenflow.com.ar/api/v1/stock/product/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Stock
Get Product Stock
Get stock levels for a specific product
GET
/
api
/
v1
/
stock
/
product
/
{productId}
Get Product Stock
Get Product Stock
Retrieve stock levels for a specific product across all locations.Requires
read:stock scope.Request
GET /api/v1/stock/product/{productId}
Path Parameters
integer
required
The product ID
Example
curl -X GET "https://api.zenflow.com.ar/api/v1/stock/product/100" \
-H "X-API-Key: zenflow_live_your_key"
Response
{
"success": true,
"data": {
"product_id": 100,
"product_name": "Widget A",
"barcode": "7891234567890",
"total_quantity": 75,
"locations": [
{
"location_id": "LOC-A1",
"location_code": "A-01-01",
"zone": "A",
"quantity": 50
},
{
"location_id": "LOC-B1",
"location_code": "B-01-01",
"zone": "B",
"quantity": 25
}
]
}
}
⌘I

